GET
/integration/v1/progress
List account progress
List account progress
operationId List account progress
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
start_date
|
string (date) | optional | Date of first progress |
end_date
|
string (date) | optional | Date of last progress |
category_id
|
string (uuid) | optional | Filter courses by category id |
in_progress
|
boolean | optional | Filter only in progress courses |
viewed
|
boolean | optional | Filter only progress for viewed courses |
passed
|
boolean | optional | Filter only progress for passed courses |
only_assigned_courses
|
boolean | optional | Filter only progress for assigned courses |
course_id
|
string | optional | Filter by course id |
user_id
|
string (uuid) | optional | Filter by user id |
show_certificate_link
|
boolean | optional | Show certificate link |
Responses
200
application/json body
| Field | Type | Required | Description |
|---|---|---|---|
(array)
|
array | optional | Progress data |
cycle_id
|
string (uuid) | required | Cycle id |
user_id
|
string | optional | User id |
category_title
|
string | optional | Category name, visible only if filtering by categories |
course_id
|
string | required | Course id |
course_name
|
string | optional | Course name |
course_duration
|
integer | optional | Course duration in seconds |
progress
|
integer | optional | Course progress |
score
|
integer | optional | Best quiz score for this cycle |
start_timestamp
|
integer | optional | Cycle start timestamp |
end_timestamp
|
integer | optional | Cycle end timestamp (passed date) |
is_passed
|
boolean | optional | Whether the course was passed |
has_quiz
|
boolean | optional | Whether the course has a quiz |
quiz_passed
|
boolean | optional | Whether the quiz was passed (null if no quiz attempt) |
certificate_link
|
string | optional | Certificate link — only present when course is passed and show_certificate_link=true |
412 Invalid parameters
500 Server error
512 Specification violations